Subject: Ticket Assigned - VERY Disappointed Customer
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 03 May 2022 09:51:32 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  VERY Disappointed Customer Dear Centerpoint Management,I am a very upset customer who has placed 2 orders within 10 days in April. Both orders got cancelled one or two days after the purchase, and the money was charged from my account. I still have not received the money that was supposed to be reimbursed from the order placed April 19 or 20 or April 29. I received a message saying I will get my money within 5-7 days, but its been 14 days since the first order. How is it that you display products for sale that you know are either unavailable or damaged and still charge your customers TWICE? I waited another 10 days and noticed the product was back, so I ordered it again only to have you charge me again and then cancel AGAIN. So now I have about AED 248 that you have taken from me and not returned. I called on May 2nd to complain. A customer service representative called Rahaf picked up and assured me that she had escalated my complaint. I called back again today only to find out from another employee called Ayat said that she cannot see any evidence of my communication and complaint from the previous day. She gave me this number 4306146 and said I have to follow up. Why should I follow up?  To add insult to injury, I am told I cannot speak with a manager and that I have to keep calling to inquire and that no one would call me back. If I'm lucky, I will get an email. I have been in the UAE for 43 years.Never in my life have I experienced such lack of organization and disappointing service. This goes against all the ethos of the leaders of this country. My number is 0554966399. I hope someone calls me back this time. Thank youDaad El YafiSent from my Galaxy
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4306216